Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "text-extractor",
    "input": {
      "model": "florence-ocr",
      "image_url": "https://example.com/document.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "text-extractor",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits1 credit
Tooltext-extractor

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYestext-extractor
input.modelstringYesflorence-ocr
input.image_urlstringYesURL of the image to extract text from
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "text-extractor",
    "input": {
      "model": "florence-ocr",
      "image_url": "https://example.com/document.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "text-extractor",
  "createdAt": "2024-01-15T10:30:00.000Z"
}